Bug 95834 - [PATCH] devel/py-game: portlint(1) fixes
Summary: [PATCH] devel/py-game: portlint(1) fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-15 21:30 UTC by Alexander Botero-Lowry
Modified: 2006-05-09 11:26 UTC (History)
1 user (show)

See Also:


Attachments
py24-game-1.7.1.patch (636 bytes, patch)
2006-04-15 21:30 UTC, Alexander Botero-Lowry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Botero-Lowry 2006-04-15 21:30:20 UTC
- Use ${PYTHON_PKGNAMEPREFIX} instead of py- in the PORTNAME

Port maintainer (mva@sysfault.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Edwin Groothuis freebsd_committer 2006-04-15 22:08:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Marcus von Appen freebsd_committer freebsd_triage 2006-04-17 15:48:12 UTC
The patch does not seem to work without changing DISTNAME to

      DISTNAME= py${PORTNAME:S/-//}-${PORTVERSION}release

on RELENG_5, because the name breaks down to game-1.7.1release.tar.gz.
Can you verify that?

Regards
Marcus
Comment 3 Alexander Botero-Lowry 2006-04-18 03:30:44 UTC
DISTNAME=	py${PORTNAME}-${PORTVERSION}release

is actually what it should be, sorry about that stupid mistake on my part..

Alex

Marcus von Appen <mva@sysfault.org> wrote:

> The patch does not seem to work without changing DISTNAME to
>
>       DISTNAME= py${PORTNAME:S/-//}-${PORTVERSION}release
>
> on RELENG_5, because the name breaks down to game-1.7.1release.tar.gz.
> Can you verify that?
>
> Regards
> Marcus
Comment 4 Marcus von Appen freebsd_committer freebsd_triage 2006-04-18 18:10:58 UTC
On, Tue Apr 18, 2006, Alexander Botero-Lowry wrote:

> DISTNAME=	py${PORTNAME}-${PORTVERSION}release
> 
> is actually what it should be, sorry about that stupid mistake on my part..
> 
> Alex


With that additional line, I do not see any problems. The patch
(including the DISTNAME change) then can be applied.
Thanks for that.

Regards
Marcus
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2006-04-18 20:59:37 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-08 01:28:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Take.
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-09 11:26:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!